@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface RobotFrameworkEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
RobotFrameworkEndpointBuilderFactory.AdvancedRobotFrameworkEndpointBuilder
Advanced builder for endpoint for the Robot Framework component.
|
static interface |
RobotFrameworkEndpointBuilderFactory.AdvancedRobotFrameworkEndpointConsumerBuilder
Advanced builder for endpoint consumers for the Robot Framework
component.
|
static interface |
RobotFrameworkEndpointBuilderFactory.AdvancedRobotFrameworkEndpointProducerBuilder
Advanced builder for endpoint producers for the Robot Framework
component.
|
static interface |
RobotFrameworkEndpointBuilderFactory.RobotFrameworkBuilders |
static interface |
RobotFrameworkEndpointBuilderFactory.RobotFrameworkEndpointBuilder
Builder for endpoint for the Robot Framework component.
|
static interface |
RobotFrameworkEndpointBuilderFactory.RobotFrameworkEndpointConsumerBuilder
Builder for endpoint consumers for the Robot Framework component.
|
static interface |
RobotFrameworkEndpointBuilderFactory.RobotFrameworkEndpointProducerBuilder
Builder for endpoint producers for the Robot Framework component.
|
| Modifier and Type | Method and Description |
|---|---|
static RobotFrameworkEndpointBuilderFactory.RobotFrameworkEndpointBuilder |
robotframework(String path)
Robot Framework (camel-robotframework)
Represents a RobotFramework endpoint.
|
static RobotFrameworkEndpointBuilderFactory.RobotFrameworkEndpointBuilder robotframework(String path)
robotframework:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel